import { r as registerInstance, h } from './materials-6a67d110.js';

class DatatableBody {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    render() {
        return (h("div", { class: "container" }, h("slot", null)));
    }
    static get style() { return ":host{display:-ms-flexbox;display:flex;overflow-y:auto}.container,:host{-ms-flex:1;flex:1}.container{overflow-y:scroll;scrollbar-width:thin}::-webkit-scrollbar{background:transparent;height:8px;width:8px}::-webkit-scrollbar-thumb{border:none;-webkit-box-shadow:none;box-shadow:none;background:#ddd;min-height:40px}"; }
}

export { DatatableBody as materials_datatable_body };
